Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::FreqProxTermsWriterPerThread Class Reference

`#include <FreqProxTermsWriterPerThread.h>`

Inheritance diagram for Lucene::FreqProxTermsWriterPerThread:

## Public Member Functions

| FreqProxTermsWriterPerThread (TermsHashPerThreadPtr perThread)
virtual | ~FreqProxTermsWriterPerThread ()
virtual String | getClassName ()
boost::shared_ptr < FreqProxTermsWriterPerThread > | shared_from_this ()
virtual TermsHashConsumerPerFieldPtr | addField (TermsHashPerFieldPtr termsHashPerField, FieldInfoPtr fieldInfo)
virtual void | startDocument ()
virtual DocWriterPtr | finishDocument ()
virtual void | abort ()
Public Member Functions inherited from Lucene::TermsHashConsumerPerThread
virtual | ~TermsHashConsumerPerThread ()
boost::shared_ptr < TermsHashConsumerPerThread > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermsHashConsumerPerThread
static String | _getClassName ()

## Data Fields

TermsHashPerThreadWeakPtr | _termsHashPerThread
DocStatePtr | docState

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

Lucene::FreqProxTermsWriterPerThread::FreqProxTermsWriterPerThread | ( | TermsHashPerThreadPtr | perThread) |  |

virtual Lucene::FreqProxTermsWriterPerThread::~FreqProxTermsWriterPerThread | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::FreqProxTermsWriterPerThread::_getClassName | ( | ) |  |

inline static

virtual void Lucene::FreqProxTermsWriterPerThread::abort | ( | ) |  |

virtual

Implements Lucene::TermsHashConsumerPerThread.

virtual TermsHashConsumerPerFieldPtr Lucene::FreqProxTermsWriterPerThread::addField | ( | TermsHashPerFieldPtr | termsHashPerField,
|  | FieldInfoPtr | fieldInfo
| ) |  |

virtual

Implements Lucene::TermsHashConsumerPerThread.

virtual DocWriterPtr Lucene::FreqProxTermsWriterPerThread::finishDocument | ( | ) |  |

virtual

Implements Lucene::TermsHashConsumerPerThread.

virtual String Lucene::FreqProxTermsWriterPerThread::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::TermsHashConsumerPerThread.

boost::shared_ptr< FreqProxTermsWriterPerThread > Lucene::FreqProxTermsWriterPerThread::shared_from_this | ( | ) |  |

inline

virtual void Lucene::FreqProxTermsWriterPerThread::startDocument | ( | ) |  |

virtual

Implements Lucene::TermsHashConsumerPerThread.

## Field Documentation

TermsHashPerThreadWeakPtr Lucene::FreqProxTermsWriterPerThread::_termsHashPerThread

DocStatePtr Lucene::FreqProxTermsWriterPerThread::docState

The documentation for this class was generated from the following file:

- FreqProxTermsWriterPerThread.h

clucene.sourceforge.net